'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

// Key code constants
// Available values for `KeyboardEvent.keyCode` attribute.
var KEY_CANCEL = 3;
var KEY_HELP = 6;
var KEY_BACK_SPACE = 8;
var KEY_TAB = 9;
var KEY_CLEAR = 12;
var KEY_RETURN = 13;
var KEY_SHIFT = 16;
var KEY_CONTROL = 17;
var KEY_ALT = 18;
var KEY_PAUSE = 19;
var KEY_CAPS_LOCK = 20;
var KEY_ESCAPE = 27;
var KEY_SPACE = 32;
var KEY_PAGE_UP = 33;
var KEY_PAGE_DOWN = 34;
var KEY_END = 35;
var KEY_HOME = 36;
var KEY_LEFT = 37;
var KEY_UP = 38;
var KEY_RIGHT = 39;
var KEY_DOWN = 40;
var KEY_PRINTSCREEN = 44;
var KEY_INSERT = 45;
var KEY_DELETE = 46;
var KEY_0 = 48;
var KEY_1 = 49;
var KEY_2 = 50;
var KEY_3 = 51;
var KEY_4 = 52;
var KEY_5 = 53;
var KEY_6 = 54;
var KEY_7 = 55;
var KEY_8 = 56;
var KEY_9 = 57;
var KEY_A = 65;
var KEY_B = 66;
var KEY_C = 67;
var KEY_D = 68;
var KEY_E = 69;
var KEY_F = 70;
var KEY_G = 71;
var KEY_H = 72;
var KEY_I = 73;
var KEY_J = 74;
var KEY_K = 75;
var KEY_L = 76;
var KEY_M = 77;
var KEY_N = 78;
var KEY_O = 79;
var KEY_P = 80;
var KEY_Q = 81;
var KEY_R = 82;
var KEY_S = 83;
var KEY_T = 84;
var KEY_U = 85;
var KEY_V = 86;
var KEY_W = 87;
var KEY_X = 88;
var KEY_Y = 89;
var KEY_Z = 90;
var KEY_LEFT_CMD = 91;
var KEY_RIGHT_CMD = 92;
var KEY_CONTEXT_MENU = 93;
var KEY_NUMPAD0 = 96;
var KEY_NUMPAD1 = 97;
var KEY_NUMPAD2 = 98;
var KEY_NUMPAD3 = 99;
var KEY_NUMPAD4 = 100;
var KEY_NUMPAD5 = 101;
var KEY_NUMPAD6 = 102;
var KEY_NUMPAD7 = 103;
var KEY_NUMPAD8 = 104;
var KEY_NUMPAD9 = 105;
var KEY_MULTIPLY = 106;
var KEY_ADD = 107;
var KEY_SUBTRACT = 109;
var KEY_DECIMAL = 110;
var KEY_DIVIDE = 111;
var KEY_F1 = 112;
var KEY_F2 = 113;
var KEY_F3 = 114;
var KEY_F4 = 115;
var KEY_F5 = 116;
var KEY_F6 = 117;
var KEY_F7 = 118;
var KEY_F8 = 119;
var KEY_F9 = 120;
var KEY_F10 = 121;
var KEY_F11 = 122;
var KEY_F12 = 123;
var KEY_F13 = 124;
var KEY_F14 = 125;
var KEY_F15 = 126;
var KEY_F16 = 127;
var KEY_F17 = 128;
var KEY_F18 = 129;
var KEY_F19 = 130;
var KEY_F20 = 131;
var KEY_F21 = 132;
var KEY_F22 = 133;
var KEY_F23 = 134;
var KEY_F24 = 135;
var KEY_NUM_LOCK = 144;
var KEY_SCROLL_LOCK = 145;
var KEY_SEMICOLON = 186;
var KEY_EQUALS = 187;
var KEY_COMMA = 188;
var KEY_DASH = 189;
var KEY_PERIOD = 190;
var KEY_SLASH = 191;
var KEY_BACK_QUOTE = 192;
var KEY_OPEN_BRACKET = 219;
var KEY_BACK_SLASH = 220;
var KEY_CLOSE_BRACKET = 221;
var KEY_QUOTE = 222;
// Key code constants specific to firefox only.
var KEY_FIREFOX_ENTER = 14;
var KEY_FIREFOX_SEMICOLON = 59;
var KEY_FIREFOX_EQUALS = 61;
var KEY_FIREFOX_SEPARATOR = 108;
var KEY_FIREFOX_META = 224;
// Key values constants
// Available values for `KeyboardEvent.key` attribute.
var VALUE_CANCEL = 'Cancel';
var VALUE_HELP = 'Help';
var VALUE_BACK_SPACE = 'Backspace';
var VALUE_TAB = 'Tab';
var VALUE_CLEAR = 'Clear';
var VALUE_ENTER = 'Enter';
var VALUE_RETURN = 'Enter';
var VALUE_SHIFT = 'Shift';
var VALUE_CONTROL = 'Control';
var VALUE_ALT = 'Alt';
var VALUE_PAUSE = 'Pause';
var VALUE_CAPS_LOCK = 'CapsLock';
var VALUE_ESCAPE = 'Escape';
var VALUE_SPACE = ' ';
var VALUE_PAGE_UP = 'PageUp';
var VALUE_PAGE_DOWN = 'PageDown';
var VALUE_END = 'End';
var VALUE_HOME = 'Home';
var VALUE_LEFT = 'ArrowLeft';
var VALUE_UP = 'ArrowUp';
var VALUE_RIGHT = 'ArrowRight';
var VALUE_DOWN = 'ArrowDown';
var VALUE_PRINTSCREEN = 'PrintScreen';
var VALUE_INSERT = 'Insert';
var VALUE_DELETE = 'Delete';
var VALUE_0 = '0';
var VALUE_1 = '1';
var VALUE_2 = '2';
var VALUE_3 = '3';
var VALUE_4 = '4';
var VALUE_5 = '5';
var VALUE_6 = '6';
var VALUE_7 = '7';
var VALUE_8 = '8';
var VALUE_9 = '9';
var VALUE_A = 'a';
var VALUE_B = 'b';
var VALUE_C = 'c';
var VALUE_D = 'd';
var VALUE_E = 'e';
var VALUE_F = 'f';
var VALUE_G = 'g';
var VALUE_H = 'h';
var VALUE_I = 'i';
var VALUE_J = 'j';
var VALUE_K = 'k';
var VALUE_L = 'l';
var VALUE_M = 'm';
var VALUE_N = 'n';
var VALUE_O = 'o';
var VALUE_P = 'p';
var VALUE_Q = 'q';
var VALUE_R = 'r';
var VALUE_S = 's';
var VALUE_T = 't';
var VALUE_U = 'u';
var VALUE_V = 'v';
var VALUE_W = 'w';
var VALUE_X = 'x';
var VALUE_Y = 'y';
var VALUE_Z = 'z';
var VALUE_META = 'Meta';
var VALUE_LEFT_CMD = 'Meta';
var VALUE_RIGHT_CMD = 'Meta';
var VALUE_CONTEXT_MENU = 'ContextMenu';
var VALUE_NUMPAD0 = '0';
var VALUE_NUMPAD1 = '1';
var VALUE_NUMPAD2 = '2';
var VALUE_NUMPAD3 = '3';
var VALUE_NUMPAD4 = '4';
var VALUE_NUMPAD5 = '5';
var VALUE_NUMPAD6 = '6';
var VALUE_NUMPAD7 = '7';
var VALUE_NUMPAD8 = '8';
var VALUE_NUMPAD9 = '9';
var VALUE_MULTIPLY = '*';
var VALUE_ADD = '+';
var VALUE_SUBTRACT = '-';
var VALUE_DECIMAL = '.';
var VALUE_DIVIDE = '/';
var VALUE_F1 = 'F1';
var VALUE_F2 = 'F2';
var VALUE_F3 = 'F3';
var VALUE_F4 = 'F4';
var VALUE_F5 = 'F5';
var VALUE_F6 = 'F6';
var VALUE_F7 = 'F7';
var VALUE_F8 = 'F8';
var VALUE_F9 = 'F9';
var VALUE_F10 = 'F10';
var VALUE_F11 = 'F11';
var VALUE_F12 = 'F12';
var VALUE_F13 = 'F13';
var VALUE_F14 = 'F14';
var VALUE_F15 = 'F15';
var VALUE_F16 = 'F16';
var VALUE_F17 = 'F17';
var VALUE_F18 = 'F18';
var VALUE_F19 = 'F19';
var VALUE_F20 = 'F20';
var VALUE_F21 = 'F21';
var VALUE_F22 = 'F22';
var VALUE_F23 = 'F23';
var VALUE_F24 = 'F24';
var VALUE_NUM_LOCK = 'NumLock';
var VALUE_SCROLL_LOCK = 'ScrollLock';
var VALUE_SEMICOLON = ';';
var VALUE_EQUALS = '=';
var VALUE_COMMA = ',';
var VALUE_DASH = '-';
var VALUE_PERIOD = '.';
var VALUE_SLASH = '/';
var VALUE_BACK_QUOTE = '`';
var VALUE_OPEN_BRACKET = '[';
var VALUE_BACK_SLASH = '\\';
var VALUE_CLOSE_BRACKET = ']';
var VALUE_QUOTE = "'";
// Key code constants
// Available values for `KeyboardEvent.code` attribute.
var CODE_UNIDENTIFIED = 'Unidentified';
var CODE_ESCAPE = 'Escape';
var CODE_MINUS = 'Minus';
var CODE_DASH = 'Minus';
var CODE_EQUALS = 'Equal';
var CODE_BACK_SPACE = 'Backspace';
var CODE_TAB = 'Tab';
var CODE_ENTER = 'Enter';
var CODE_RETURN = 'Enter';
var CODE_SHIFT_LEFT = 'ShiftLeft';
var CODE_SHIFT_RIGHT = 'ShiftRight';
var CODE_CONTROL_LEFT = 'ControlLeft';
var CODE_CONTROL_RIGHT = 'ControlRight';
var CODE_ALT_LEFT = 'AltLeft';
var CODE_ALT_RIGHT = 'AltRight';
var CODE_PAUSE = 'Pause';
var CODE_CAPS_LOCK = 'CapsLock';
var CODE_SPACE = 'Space';
var CODE_PAGE_UP = 'PageUp';
var CODE_PAGE_DOWN = 'PageDown';
var CODE_END = 'End';
var CODE_HOME = 'Home';
var CODE_LEFT = 'ArrowLeft';
var CODE_UP = 'ArrowUp';
var CODE_RIGHT = 'ArrowRight';
var CODE_DOWN = 'ArrowDown';
var CODE_PRINTSCREEN = 'PrintScreen';
var CODE_INSERT = 'Insert';
var CODE_DELETE = 'Delete';
var CODE_0 = 'Digit0';
var CODE_1 = 'Digit1';
var CODE_2 = 'Digit2';
var CODE_3 = 'Digit3';
var CODE_4 = 'Digit4';
var CODE_5 = 'Digit5';
var CODE_6 = 'Digit6';
var CODE_7 = 'Digit7';
var CODE_8 = 'Digit8';
var CODE_9 = 'Digit9';
var CODE_A = 'KeyA';
var CODE_B = 'KeyB';
var CODE_C = 'KeyC';
var CODE_D = 'KeyD';
var CODE_E = 'KeyE';
var CODE_F = 'KeyF';
var CODE_G = 'KeyG';
var CODE_H = 'KeyH';
var CODE_I = 'KeyI';
var CODE_J = 'KeyJ';
var CODE_K = 'KeyK';
var CODE_L = 'KeyL';
var CODE_M = 'KeyM';
var CODE_N = 'KeyN';
var CODE_O = 'KeyO';
var CODE_P = 'KeyP';
var CODE_Q = 'KeyQ';
var CODE_R = 'KeyR';
var CODE_S = 'KeyS';
var CODE_T = 'KeyT';
var CODE_U = 'KeyU';
var CODE_V = 'KeyV';
var CODE_W = 'KeyW';
var CODE_X = 'KeyX';
var CODE_Y = 'KeyY';
var CODE_Z = 'KeyZ';
var CODE_META_LEFT = 'MetaLeft';
var CODE_OS_LEFT = 'OSLeft';
var CODE_META_RIGHT = 'MetaRight';
var CODE_OS_RIGHT = 'OSRight';
var CODE_CONTEXT_MENU = 'ContextMenu';
var CODE_NUMPAD0 = 'Numpad0';
var CODE_NUMPAD1 = 'Numpad1';
var CODE_NUMPAD2 = 'Numpad2';
var CODE_NUMPAD3 = 'Numpad3';
var CODE_NUMPAD4 = 'Numpad4';
var CODE_NUMPAD5 = 'Numpad5';
var CODE_NUMPAD6 = 'Numpad6';
var CODE_NUMPAD7 = 'Numpad7';
var CODE_NUMPAD8 = 'Numpad8';
var CODE_NUMPAD9 = 'Numpad9';
var CODE_NUMPAD_MULTIPLY = 'NumpadMultiply';
var CODE_NUMPAD_ADD = 'NumpadAdd';
var CODE_NUMPAD_SUBTRACT = 'NumpadSubtract';
var CODE_NUMPAD_DECIMAL = 'NumpadDecimal';
var CODE_NUMPAD_DIVIDE = 'NumpadDivide';
var CODE_NUMPAD_ENTER = 'NumpadEnter';
var CODE_F1 = 'F1';
var CODE_F2 = 'F2';
var CODE_F3 = 'F3';
var CODE_F4 = 'F4';
var CODE_F5 = 'F5';
var CODE_F6 = 'F6';
var CODE_F7 = 'F7';
var CODE_F8 = 'F8';
var CODE_F9 = 'F9';
var CODE_F10 = 'F10';
var CODE_F11 = 'F11';
var CODE_F12 = 'F12';
var CODE_F13 = 'F13';
var CODE_F14 = 'F14';
var CODE_F15 = 'F15';
var CODE_F16 = 'F16';
var CODE_F17 = 'F17';
var CODE_F18 = 'F18';
var CODE_F19 = 'F19';
var CODE_F20 = 'F20';
var CODE_F21 = 'F21';
var CODE_F22 = 'F22';
var CODE_F23 = 'F23';
var CODE_F24 = 'F24';
var CODE_NUM_LOCK = 'NumLock';
var CODE_SCROLL_LOCK = 'ScrollLock';
var CODE_SEMICOLON = 'Semicolon';
var CODE_COMMA = 'Comma';
var CODE_PERIOD = 'Period';
var CODE_SLASH = 'Slash';
var CODE_BACK_QUOTE = 'Backquote';
var CODE_OPEN_BRACKET = 'BracketLeft';
var CODE_BACK_SLASH = 'Backslash';
var CODE_CLOSE_BRACKET = 'BracketRight';
var CODE_QUOTE = 'Quote';

exports.CODE_0 = CODE_0;
exports.CODE_1 = CODE_1;
exports.CODE_2 = CODE_2;
exports.CODE_3 = CODE_3;
exports.CODE_4 = CODE_4;
exports.CODE_5 = CODE_5;
exports.CODE_6 = CODE_6;
exports.CODE_7 = CODE_7;
exports.CODE_8 = CODE_8;
exports.CODE_9 = CODE_9;
exports.CODE_A = CODE_A;
exports.CODE_ALT_LEFT = CODE_ALT_LEFT;
exports.CODE_ALT_RIGHT = CODE_ALT_RIGHT;
exports.CODE_B = CODE_B;
exports.CODE_BACK_QUOTE = CODE_BACK_QUOTE;
exports.CODE_BACK_SLASH = CODE_BACK_SLASH;
exports.CODE_BACK_SPACE = CODE_BACK_SPACE;
exports.CODE_C = CODE_C;
exports.CODE_CAPS_LOCK = CODE_CAPS_LOCK;
exports.CODE_CLOSE_BRACKET = CODE_CLOSE_BRACKET;
exports.CODE_COMMA = CODE_COMMA;
exports.CODE_CONTEXT_MENU = CODE_CONTEXT_MENU;
exports.CODE_CONTROL_LEFT = CODE_CONTROL_LEFT;
exports.CODE_CONTROL_RIGHT = CODE_CONTROL_RIGHT;
exports.CODE_D = CODE_D;
exports.CODE_DASH = CODE_DASH;
exports.CODE_DELETE = CODE_DELETE;
exports.CODE_DOWN = CODE_DOWN;
exports.CODE_E = CODE_E;
exports.CODE_END = CODE_END;
exports.CODE_ENTER = CODE_ENTER;
exports.CODE_EQUALS = CODE_EQUALS;
exports.CODE_ESCAPE = CODE_ESCAPE;
exports.CODE_F = CODE_F;
exports.CODE_F1 = CODE_F1;
exports.CODE_F10 = CODE_F10;
exports.CODE_F11 = CODE_F11;
exports.CODE_F12 = CODE_F12;
exports.CODE_F13 = CODE_F13;
exports.CODE_F14 = CODE_F14;
exports.CODE_F15 = CODE_F15;
exports.CODE_F16 = CODE_F16;
exports.CODE_F17 = CODE_F17;
exports.CODE_F18 = CODE_F18;
exports.CODE_F19 = CODE_F19;
exports.CODE_F2 = CODE_F2;
exports.CODE_F20 = CODE_F20;
exports.CODE_F21 = CODE_F21;
exports.CODE_F22 = CODE_F22;
exports.CODE_F23 = CODE_F23;
exports.CODE_F24 = CODE_F24;
exports.CODE_F3 = CODE_F3;
exports.CODE_F4 = CODE_F4;
exports.CODE_F5 = CODE_F5;
exports.CODE_F6 = CODE_F6;
exports.CODE_F7 = CODE_F7;
exports.CODE_F8 = CODE_F8;
exports.CODE_F9 = CODE_F9;
exports.CODE_G = CODE_G;
exports.CODE_H = CODE_H;
exports.CODE_HOME = CODE_HOME;
exports.CODE_I = CODE_I;
exports.CODE_INSERT = CODE_INSERT;
exports.CODE_J = CODE_J;
exports.CODE_K = CODE_K;
exports.CODE_L = CODE_L;
exports.CODE_LEFT = CODE_LEFT;
exports.CODE_M = CODE_M;
exports.CODE_META_LEFT = CODE_META_LEFT;
exports.CODE_META_RIGHT = CODE_META_RIGHT;
exports.CODE_MINUS = CODE_MINUS;
exports.CODE_N = CODE_N;
exports.CODE_NUMPAD0 = CODE_NUMPAD0;
exports.CODE_NUMPAD1 = CODE_NUMPAD1;
exports.CODE_NUMPAD2 = CODE_NUMPAD2;
exports.CODE_NUMPAD3 = CODE_NUMPAD3;
exports.CODE_NUMPAD4 = CODE_NUMPAD4;
exports.CODE_NUMPAD5 = CODE_NUMPAD5;
exports.CODE_NUMPAD6 = CODE_NUMPAD6;
exports.CODE_NUMPAD7 = CODE_NUMPAD7;
exports.CODE_NUMPAD8 = CODE_NUMPAD8;
exports.CODE_NUMPAD9 = CODE_NUMPAD9;
exports.CODE_NUMPAD_ADD = CODE_NUMPAD_ADD;
exports.CODE_NUMPAD_DECIMAL = CODE_NUMPAD_DECIMAL;
exports.CODE_NUMPAD_DIVIDE = CODE_NUMPAD_DIVIDE;
exports.CODE_NUMPAD_ENTER = CODE_NUMPAD_ENTER;
exports.CODE_NUMPAD_MULTIPLY = CODE_NUMPAD_MULTIPLY;
exports.CODE_NUMPAD_SUBTRACT = CODE_NUMPAD_SUBTRACT;
exports.CODE_NUM_LOCK = CODE_NUM_LOCK;
exports.CODE_O = CODE_O;
exports.CODE_OPEN_BRACKET = CODE_OPEN_BRACKET;
exports.CODE_OS_LEFT = CODE_OS_LEFT;
exports.CODE_OS_RIGHT = CODE_OS_RIGHT;
exports.CODE_P = CODE_P;
exports.CODE_PAGE_DOWN = CODE_PAGE_DOWN;
exports.CODE_PAGE_UP = CODE_PAGE_UP;
exports.CODE_PAUSE = CODE_PAUSE;
exports.CODE_PERIOD = CODE_PERIOD;
exports.CODE_PRINTSCREEN = CODE_PRINTSCREEN;
exports.CODE_Q = CODE_Q;
exports.CODE_QUOTE = CODE_QUOTE;
exports.CODE_R = CODE_R;
exports.CODE_RETURN = CODE_RETURN;
exports.CODE_RIGHT = CODE_RIGHT;
exports.CODE_S = CODE_S;
exports.CODE_SCROLL_LOCK = CODE_SCROLL_LOCK;
exports.CODE_SEMICOLON = CODE_SEMICOLON;
exports.CODE_SHIFT_LEFT = CODE_SHIFT_LEFT;
exports.CODE_SHIFT_RIGHT = CODE_SHIFT_RIGHT;
exports.CODE_SLASH = CODE_SLASH;
exports.CODE_SPACE = CODE_SPACE;
exports.CODE_T = CODE_T;
exports.CODE_TAB = CODE_TAB;
exports.CODE_U = CODE_U;
exports.CODE_UNIDENTIFIED = CODE_UNIDENTIFIED;
exports.CODE_UP = CODE_UP;
exports.CODE_V = CODE_V;
exports.CODE_W = CODE_W;
exports.CODE_X = CODE_X;
exports.CODE_Y = CODE_Y;
exports.CODE_Z = CODE_Z;
exports.KEY_0 = KEY_0;
exports.KEY_1 = KEY_1;
exports.KEY_2 = KEY_2;
exports.KEY_3 = KEY_3;
exports.KEY_4 = KEY_4;
exports.KEY_5 = KEY_5;
exports.KEY_6 = KEY_6;
exports.KEY_7 = KEY_7;
exports.KEY_8 = KEY_8;
exports.KEY_9 = KEY_9;
exports.KEY_A = KEY_A;
exports.KEY_ADD = KEY_ADD;
exports.KEY_ALT = KEY_ALT;
exports.KEY_B = KEY_B;
exports.KEY_BACK_QUOTE = KEY_BACK_QUOTE;
exports.KEY_BACK_SLASH = KEY_BACK_SLASH;
exports.KEY_BACK_SPACE = KEY_BACK_SPACE;
exports.KEY_C = KEY_C;
exports.KEY_CANCEL = KEY_CANCEL;
exports.KEY_CAPS_LOCK = KEY_CAPS_LOCK;
exports.KEY_CLEAR = KEY_CLEAR;
exports.KEY_CLOSE_BRACKET = KEY_CLOSE_BRACKET;
exports.KEY_COMMA = KEY_COMMA;
exports.KEY_CONTEXT_MENU = KEY_CONTEXT_MENU;
exports.KEY_CONTROL = KEY_CONTROL;
exports.KEY_D = KEY_D;
exports.KEY_DASH = KEY_DASH;
exports.KEY_DECIMAL = KEY_DECIMAL;
exports.KEY_DELETE = KEY_DELETE;
exports.KEY_DIVIDE = KEY_DIVIDE;
exports.KEY_DOWN = KEY_DOWN;
exports.KEY_E = KEY_E;
exports.KEY_END = KEY_END;
exports.KEY_EQUALS = KEY_EQUALS;
exports.KEY_ESCAPE = KEY_ESCAPE;
exports.KEY_F = KEY_F;
exports.KEY_F1 = KEY_F1;
exports.KEY_F10 = KEY_F10;
exports.KEY_F11 = KEY_F11;
exports.KEY_F12 = KEY_F12;
exports.KEY_F13 = KEY_F13;
exports.KEY_F14 = KEY_F14;
exports.KEY_F15 = KEY_F15;
exports.KEY_F16 = KEY_F16;
exports.KEY_F17 = KEY_F17;
exports.KEY_F18 = KEY_F18;
exports.KEY_F19 = KEY_F19;
exports.KEY_F2 = KEY_F2;
exports.KEY_F20 = KEY_F20;
exports.KEY_F21 = KEY_F21;
exports.KEY_F22 = KEY_F22;
exports.KEY_F23 = KEY_F23;
exports.KEY_F24 = KEY_F24;
exports.KEY_F3 = KEY_F3;
exports.KEY_F4 = KEY_F4;
exports.KEY_F5 = KEY_F5;
exports.KEY_F6 = KEY_F6;
exports.KEY_F7 = KEY_F7;
exports.KEY_F8 = KEY_F8;
exports.KEY_F9 = KEY_F9;
exports.KEY_FIREFOX_ENTER = KEY_FIREFOX_ENTER;
exports.KEY_FIREFOX_EQUALS = KEY_FIREFOX_EQUALS;
exports.KEY_FIREFOX_META = KEY_FIREFOX_META;
exports.KEY_FIREFOX_SEMICOLON = KEY_FIREFOX_SEMICOLON;
exports.KEY_FIREFOX_SEPARATOR = KEY_FIREFOX_SEPARATOR;
exports.KEY_G = KEY_G;
exports.KEY_H = KEY_H;
exports.KEY_HELP = KEY_HELP;
exports.KEY_HOME = KEY_HOME;
exports.KEY_I = KEY_I;
exports.KEY_INSERT = KEY_INSERT;
exports.KEY_J = KEY_J;
exports.KEY_K = KEY_K;
exports.KEY_L = KEY_L;
exports.KEY_LEFT = KEY_LEFT;
exports.KEY_LEFT_CMD = KEY_LEFT_CMD;
exports.KEY_M = KEY_M;
exports.KEY_MULTIPLY = KEY_MULTIPLY;
exports.KEY_N = KEY_N;
exports.KEY_NUMPAD0 = KEY_NUMPAD0;
exports.KEY_NUMPAD1 = KEY_NUMPAD1;
exports.KEY_NUMPAD2 = KEY_NUMPAD2;
exports.KEY_NUMPAD3 = KEY_NUMPAD3;
exports.KEY_NUMPAD4 = KEY_NUMPAD4;
exports.KEY_NUMPAD5 = KEY_NUMPAD5;
exports.KEY_NUMPAD6 = KEY_NUMPAD6;
exports.KEY_NUMPAD7 = KEY_NUMPAD7;
exports.KEY_NUMPAD8 = KEY_NUMPAD8;
exports.KEY_NUMPAD9 = KEY_NUMPAD9;
exports.KEY_NUM_LOCK = KEY_NUM_LOCK;
exports.KEY_O = KEY_O;
exports.KEY_OPEN_BRACKET = KEY_OPEN_BRACKET;
exports.KEY_P = KEY_P;
exports.KEY_PAGE_DOWN = KEY_PAGE_DOWN;
exports.KEY_PAGE_UP = KEY_PAGE_UP;
exports.KEY_PAUSE = KEY_PAUSE;
exports.KEY_PERIOD = KEY_PERIOD;
exports.KEY_PRINTSCREEN = KEY_PRINTSCREEN;
exports.KEY_Q = KEY_Q;
exports.KEY_QUOTE = KEY_QUOTE;
exports.KEY_R = KEY_R;
exports.KEY_RETURN = KEY_RETURN;
exports.KEY_RIGHT = KEY_RIGHT;
exports.KEY_RIGHT_CMD = KEY_RIGHT_CMD;
exports.KEY_S = KEY_S;
exports.KEY_SCROLL_LOCK = KEY_SCROLL_LOCK;
exports.KEY_SEMICOLON = KEY_SEMICOLON;
exports.KEY_SHIFT = KEY_SHIFT;
exports.KEY_SLASH = KEY_SLASH;
exports.KEY_SPACE = KEY_SPACE;
exports.KEY_SUBTRACT = KEY_SUBTRACT;
exports.KEY_T = KEY_T;
exports.KEY_TAB = KEY_TAB;
exports.KEY_U = KEY_U;
exports.KEY_UP = KEY_UP;
exports.KEY_V = KEY_V;
exports.KEY_W = KEY_W;
exports.KEY_X = KEY_X;
exports.KEY_Y = KEY_Y;
exports.KEY_Z = KEY_Z;
exports.VALUE_0 = VALUE_0;
exports.VALUE_1 = VALUE_1;
exports.VALUE_2 = VALUE_2;
exports.VALUE_3 = VALUE_3;
exports.VALUE_4 = VALUE_4;
exports.VALUE_5 = VALUE_5;
exports.VALUE_6 = VALUE_6;
exports.VALUE_7 = VALUE_7;
exports.VALUE_8 = VALUE_8;
exports.VALUE_9 = VALUE_9;
exports.VALUE_A = VALUE_A;
exports.VALUE_ADD = VALUE_ADD;
exports.VALUE_ALT = VALUE_ALT;
exports.VALUE_B = VALUE_B;
exports.VALUE_BACK_QUOTE = VALUE_BACK_QUOTE;
exports.VALUE_BACK_SLASH = VALUE_BACK_SLASH;
exports.VALUE_BACK_SPACE = VALUE_BACK_SPACE;
exports.VALUE_C = VALUE_C;
exports.VALUE_CANCEL = VALUE_CANCEL;
exports.VALUE_CAPS_LOCK = VALUE_CAPS_LOCK;
exports.VALUE_CLEAR = VALUE_CLEAR;
exports.VALUE_CLOSE_BRACKET = VALUE_CLOSE_BRACKET;
exports.VALUE_COMMA = VALUE_COMMA;
exports.VALUE_CONTEXT_MENU = VALUE_CONTEXT_MENU;
exports.VALUE_CONTROL = VALUE_CONTROL;
exports.VALUE_D = VALUE_D;
exports.VALUE_DASH = VALUE_DASH;
exports.VALUE_DECIMAL = VALUE_DECIMAL;
exports.VALUE_DELETE = VALUE_DELETE;
exports.VALUE_DIVIDE = VALUE_DIVIDE;
exports.VALUE_DOWN = VALUE_DOWN;
exports.VALUE_E = VALUE_E;
exports.VALUE_END = VALUE_END;
exports.VALUE_ENTER = VALUE_ENTER;
exports.VALUE_EQUALS = VALUE_EQUALS;
exports.VALUE_ESCAPE = VALUE_ESCAPE;
exports.VALUE_F = VALUE_F;
exports.VALUE_F1 = VALUE_F1;
exports.VALUE_F10 = VALUE_F10;
exports.VALUE_F11 = VALUE_F11;
exports.VALUE_F12 = VALUE_F12;
exports.VALUE_F13 = VALUE_F13;
exports.VALUE_F14 = VALUE_F14;
exports.VALUE_F15 = VALUE_F15;
exports.VALUE_F16 = VALUE_F16;
exports.VALUE_F17 = VALUE_F17;
exports.VALUE_F18 = VALUE_F18;
exports.VALUE_F19 = VALUE_F19;
exports.VALUE_F2 = VALUE_F2;
exports.VALUE_F20 = VALUE_F20;
exports.VALUE_F21 = VALUE_F21;
exports.VALUE_F22 = VALUE_F22;
exports.VALUE_F23 = VALUE_F23;
exports.VALUE_F24 = VALUE_F24;
exports.VALUE_F3 = VALUE_F3;
exports.VALUE_F4 = VALUE_F4;
exports.VALUE_F5 = VALUE_F5;
exports.VALUE_F6 = VALUE_F6;
exports.VALUE_F7 = VALUE_F7;
exports.VALUE_F8 = VALUE_F8;
exports.VALUE_F9 = VALUE_F9;
exports.VALUE_G = VALUE_G;
exports.VALUE_H = VALUE_H;
exports.VALUE_HELP = VALUE_HELP;
exports.VALUE_HOME = VALUE_HOME;
exports.VALUE_I = VALUE_I;
exports.VALUE_INSERT = VALUE_INSERT;
exports.VALUE_J = VALUE_J;
exports.VALUE_K = VALUE_K;
exports.VALUE_L = VALUE_L;
exports.VALUE_LEFT = VALUE_LEFT;
exports.VALUE_LEFT_CMD = VALUE_LEFT_CMD;
exports.VALUE_M = VALUE_M;
exports.VALUE_META = VALUE_META;
exports.VALUE_MULTIPLY = VALUE_MULTIPLY;
exports.VALUE_N = VALUE_N;
exports.VALUE_NUMPAD0 = VALUE_NUMPAD0;
exports.VALUE_NUMPAD1 = VALUE_NUMPAD1;
exports.VALUE_NUMPAD2 = VALUE_NUMPAD2;
exports.VALUE_NUMPAD3 = VALUE_NUMPAD3;
exports.VALUE_NUMPAD4 = VALUE_NUMPAD4;
exports.VALUE_NUMPAD5 = VALUE_NUMPAD5;
exports.VALUE_NUMPAD6 = VALUE_NUMPAD6;
exports.VALUE_NUMPAD7 = VALUE_NUMPAD7;
exports.VALUE_NUMPAD8 = VALUE_NUMPAD8;
exports.VALUE_NUMPAD9 = VALUE_NUMPAD9;
exports.VALUE_NUM_LOCK = VALUE_NUM_LOCK;
exports.VALUE_O = VALUE_O;
exports.VALUE_OPEN_BRACKET = VALUE_OPEN_BRACKET;
exports.VALUE_P = VALUE_P;
exports.VALUE_PAGE_DOWN = VALUE_PAGE_DOWN;
exports.VALUE_PAGE_UP = VALUE_PAGE_UP;
exports.VALUE_PAUSE = VALUE_PAUSE;
exports.VALUE_PERIOD = VALUE_PERIOD;
exports.VALUE_PRINTSCREEN = VALUE_PRINTSCREEN;
exports.VALUE_Q = VALUE_Q;
exports.VALUE_QUOTE = VALUE_QUOTE;
exports.VALUE_R = VALUE_R;
exports.VALUE_RETURN = VALUE_RETURN;
exports.VALUE_RIGHT = VALUE_RIGHT;
exports.VALUE_RIGHT_CMD = VALUE_RIGHT_CMD;
exports.VALUE_S = VALUE_S;
exports.VALUE_SCROLL_LOCK = VALUE_SCROLL_LOCK;
exports.VALUE_SEMICOLON = VALUE_SEMICOLON;
exports.VALUE_SHIFT = VALUE_SHIFT;
exports.VALUE_SLASH = VALUE_SLASH;
exports.VALUE_SPACE = VALUE_SPACE;
exports.VALUE_SUBTRACT = VALUE_SUBTRACT;
exports.VALUE_T = VALUE_T;
exports.VALUE_TAB = VALUE_TAB;
exports.VALUE_U = VALUE_U;
exports.VALUE_UP = VALUE_UP;
exports.VALUE_V = VALUE_V;
exports.VALUE_W = VALUE_W;
exports.VALUE_X = VALUE_X;
exports.VALUE_Y = VALUE_Y;
exports.VALUE_Z = VALUE_Z;
